[openssl-commits] [tools] master update
Rich Salz
rsalz at openssl.org
Thu Jun 15 13:24:31 UTC 2017
The branch master has been updated
via 10879c3ff03bd05870080beafb80348245dd62f2 (commit)
from fc5895b80f8316a5d5ed0f89851364496c086fec (commit)
- Log -----------------------------------------------------------------
commit 10879c3ff03bd05870080beafb80348245dd62f2
Author: Rich Salz <rsalz at akamai.com>
Date: Thu Jun 15 09:17:53 2017 -0400
Add opensslbuild
A replacement for remake which was called from ghmerge.
This does the same thing, but is written in bash, not "rc" :)
-----------------------------------------------------------------------
Summary of changes:
review-tools/ghmerge | 2 +-
review-tools/opensslbuild | 56 +++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+), 1 deletion(-)
create mode 100755 review-tools/opensslbuild
diff --git a/review-tools/ghmerge b/review-tools/ghmerge
index 5f9308c..16426b3 100755
--- a/review-tools/ghmerge
+++ b/review-tools/ghmerge
@@ -59,7 +59,7 @@ else
git rebase $WORK
fi
# echo Rebuilding
-# remake |& tail -3
+# opensslbuild |& tail -3
echo -n Press return to push: ; read foo
git push origin $REL
diff --git a/review-tools/opensslbuild b/review-tools/opensslbuild
new file mode 100755
index 0000000..404a04e
--- /dev/null
+++ b/review-tools/opensslbuild
@@ -0,0 +1,56 @@
+#! /bin/bash
+# Script to build openssl and run regression tests.
+# Usage:
+# opensslbuild [-c] [-x] [config_args...]
+
+test -f ./config || {
+ echo Not at top-level
+ exit 1
+}
+
+# Parse arguments.
+configonly=no
+execonly=no
+test "$1" = "-c" && {
+ configonly=yes
+ shift
+}
+test "$1" = "-x" && {
+ execonly=yes
+ shift
+}
+
+# Set compiler
+test "$CC" = "" && CC="ccache clang-3.6"
+
+# Set basic config arguments
+CONFIGARGS="-d --strict-warnings --prefix=/usr/local/openssl"
+case "$CC" in
+*clang*)
+ CONFIGARGS="$CONFIGARGS -Qunused-arguments"
+ ;;
+esac
+
+# Set the features we want to enable
+ENABLES="enable-rc5 enable-md2 enable-ec_nistp_64_gcc_128 enable-tls1_3"
+ENABLES="$ENABLES enable-crypto-mdebug enable-crypto-mdebug-backtrace"
+
+make -s clean >/dev/null 2>&1
+./config $CONFIGARGS $ENABLES $* 2>&1
+
+echo Making update
+make -s update 2>&1
+make -s tags
+rm -f doc-nits
+grep -q doc-nits Makefile && make doc-nits
+s=$?
+test $configonly = yes && exit $s
+
+echo Making
+make -s -j20
+make -s -j20 build_tests >/dev/null
+s=$?
+test $execonly = yes && exit $s
+
+echo Making test
+make test
More information about the openssl-commits
mailing list